# 自定义宝箱

## isEnabled

`isEnabled` 设置是否启用该宝箱。

## chestType

`chestType` 设置宝箱的类型，可以填写：

```
CHEST
TRAPPED_CHEST
ENDER_CHEST
SHULKER_BOX
```

## facing

`facing` 设置宝箱的朝向，即东南西北（下面的顺序分布是北、南、东、西）。

```
NORTH
SOUTH
EAST
WEST
```

## dropStyle

`dropStyle` 设置宝箱掉落模式。可以填写  `single` 代表宝箱只能给一位玩家开启一次，或者  `group` 代表所有参与的玩家都有自己的宝箱。

## restockTimer

`restockTimer` 设置宝箱可以再次开启的冷却时间。对于前面选项的 `single` 模式下冷却时间后宝箱才会再次出现，对于 `group`drop 模式下冷却时间后玩家才能再次打开宝箱。

## lootList

`lootList` 设置宝箱战利品和权重值。

```
lootList:
- magmaguys_toothpick.yml:1
- magmaguys_shield.yml:2
```

在这个示例中，这并不代表两个战利品都会生成，其中 `magmaguys_shield.yml` 的权重值是 `magmaguys_toothpick`  的 2 倍，这代表出现 `magmaguys_shield` 的几率是 `magmaguys_toothpick` 的 2 倍。

## mimicChance

`mimicChance` 代表玩家打开宝箱后生成一个自定义怪物的几率。 例如 `0.5` 代表 50%。

## mimicCustomBossesList

`mimicCustomBossesList` 接上选项，是所有可能因此出现的自定义怪物的列表，从中随机选择一个。

## effects

`effects` 设置这个宝箱拥有的可视化效果。

## location

`location` 设置宝箱所在的坐标。遵循 `世界名称,x,y,z,pitch,yaw` 格式，因为宝箱没有朝向，所以 `pitch,yaw` 直接填写 `0,0` 即可。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/elitemobs-wiki/pei-zhi/zi-ding-yi-bao-xiang.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
